> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Save a tax payment

> Save a new (or update an existing) tax payment



## OpenAPI

````yaml https://dev.hurdlr.com/rest/v1/devUtils/documentation?version=5&Authorization=dexfeE6aRK3zwXP4ku5aWm8w&env=sandbox post /v5/taxes/taxPayment
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.hurdlr.com/rest
    description: Staging Environment
  - url: https://prod.hurdlr.com/rest
    description: Production Environment
security:
  - accessTokenSecurity: []
  - basicSecurity: []
tags:
  - name: Authentication
  - name: Banks
  - name: Business & Client Management
  - name: Invoicing
  - name: Revenue
  - name: Investments
  - name: Payouts
  - name: Bills
  - name: Expenses
  - name: Payroll
  - name: Reports
  - name: Accounting
  - name: Mileage
  - name: Taxes
  - name: Time Tracking
  - name: Imports
  - name: Files
  - name: Accountant
  - name: Audit Trail
  - name: Support
  - name: Tax Engine Express
  - name: Interview Endpoint
  - name: Ledgering
  - name: Configuration
  - name: Templates
paths:
  /v5/taxes/taxPayment:
    post:
      tags:
        - Taxes
      summary: Save a tax payment
      description: Save a new (or update an existing) tax payment
      operationId: postTaxPayment
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/TRAX_POST_BODYTaxPaymentPostDTOV5'
        required: true
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FormRetVal'
      security:
        - accessTokenSecurity: []
components:
  schemas:
    TRAX_POST_BODYTaxPaymentPostDTOV5:
      properties:
        taxPayment:
          $ref: '#/components/schemas/TaxPaymentPostDTOV5'
    FormRetVal:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed
          enum:
            - SUCCESS
            - FAILURE
        errors:
          $ref: '#/components/schemas/ValidationRetVal'
        id:
          type: string
          description: Id of the entity being acted upon
        webhook:
          $ref: '#/components/schemas/EntityUpdateEvent'
      description: Object containing details about result of the action performed
    TaxPaymentPostDTOV5:
      required:
        - amount
        - bankAccountId
        - period
        - region
        - year
      type: object
      properties:
        id:
          type: integer
          description: >-
            Id of the tax payment, required when updating an existing tax
            payment
          format: int64
        status:
          type: string
          description: Status of the tax payment
          readOnly: true
          enum:
            - ACTIVE
            - INACTIVE
        reviewStatus:
          type: string
          description: Review status of the tax payment
          enum:
            - PARTNER_REVIEW_REQUIRED
            - USER_REVIEW_REQUIRED
            - ACCOUNTANT_REVIEW_REQUIRED
            - RECONCILIATION_STAGED
            - RECONCILED
            - RECONCILIATION_DISCREPANCY
            - ADJUSTMENT_USER_REVIEW_REQUIRED
            - ADJUSTMENT_ACCOUNTANT_REVIEW_REQUIRED
            - ADJUSTMENT_RECONCILIATION_STAGED
        userAccess:
          type: string
          description: >-
            Access level for the user. This field uses the default configuration
            for the Partner; however, it can be overridden to manipulate how a
            user can interact with this tax payment.
          enum:
            - NONE
            - READ_ONLY
            - READ_WRITE
        accountantAccess:
          type: string
          description: >-
            Access level for the accountant. This field uses the default
            configuration for the Partner; however, it can be overridden to
            manipulate how an accountant can interact with this tax payment.
          enum:
            - NONE
            - READ_ONLY
            - READ_WRITE
        type:
          type: string
          description: Type of the tax payment
          enum:
            - CONFIRMED
            - PENDING
        region:
          type: string
          description: Tax region of payment
          example: FED
          enum:
            - FED
            - STATE
        period:
          type: string
          description: Period of the payment
          example: Q1
          enum:
            - Q1
            - Q2
            - Q3
            - Q4
        year:
          type: integer
          description: Year for which tax payment was made
          format: int32
          example: 2020
        amount:
          type: number
          description: Total amount of the tax payment
          example: 50.01
        date:
          type: string
          description: 'Date of the tax payment '
          format: date
          example: '2021-01-04'
        description:
          type: string
          description: 'Description of the tax payment '
          example: Online Banking payment
        bankAccountId:
          type: integer
          description: id of the user's bank account
          format: int64
        bankDescription:
          type: string
          description: >-
            Transaction description, similar to what will show on the user's
            bank statement
        apiAccountNo:
          type: string
          description: >-
            Mask of the user's bank account, often the last 4 digits of the
            account number
        apiAccountName:
          type: string
          description: >-
            Display name for the bank account from which this tax payment
            originated
          example: Citi Premier® Card
        apiInstitutionId:
          type: string
          description: Name or id of the institution from which the transaction originated
        customData:
          type: object
          description: >-
            Custom JSON in which you can store any data with max length of 2000
            characters
        v6EntityId:
          type: string
          description: Entity id on the v6 API for this tax payment
        expenseId:
          type: integer
          description: Id of the expense to convert to a tax payment
          format: int64
        revenueId:
          type: integer
          description: Id of the revenue refund to convert to a tax payment
          format: int64
    ValidationRetVal:
      type: object
      properties:
        fieldErrors:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/ValidationError'
          description: Map of field-level errors, often originating from validation errors
        globalErrors:
          type: array
          description: List of higher-level errors
          items:
            $ref: '#/components/schemas/ValidationError'
      description: Error object containing details errors incurred, if any
    EntityUpdateEvent:
      type: object
      properties:
        userId:
          type: string
        accountantUserId:
          type: string
        type:
          type: string
          enum:
            - ENTITY_UPDATE
            - LIFECYCLE_EVENT
            - LIFECYCLE
    ValidationError:
      type: object
      properties:
        type:
          type: string
          description: A broad categorization of the error
          enum:
            - DUPLICATE
            - REQUIRED
            - DELETE
            - INVALID_VALUE
            - NOT_MODIFIABLE
            - GENERAL
            - INVALID_FORMAT
        errorMessage:
          type: string
          description: Human-friendly message describing this error
        message:
          type: string
          writeOnly: true
          enum:
            - DUPLICATE
            - REQUIRED
            - DELETE
            - INVALID_VALUE
            - NOT_MODIFIABLE
            - GENERAL
            - INVALID_FORMAT
            - INVALID_MAPPING
      description: List of higher-level errors
  securitySchemes:
    accessTokenSecurity:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: /auth/account
          scopes:
            write: ''

````